Skip to main content
GET
/
v1
/
queues
/
{queue_id}
Get an annotation queue
curl --request GET \
  --url https://api.dp1.us.honeyhive.ai/v1/queues/{queue_id} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "description": "<string>",
  "filters": {
    "filterArray": [
      {
        "field": "<string>",
        "operator": "exists",
        "value": "<string>",
        "type": "string"
      }
    ]
  },
  "enabled": true,
  "id": "<string>",
  "scope_id": "<string>",
  "scope_type": "system",
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

queue_id
string
required

Annotation queue ID

Response

Queue retrieved successfully

name
string
required
Maximum string length: 200
description
string
required
Maximum string length: 1000
filters
object
required
enabled
boolean
required
id
string
required
Minimum string length: 1
scope_id
string
required
scope_type
enum<string>
required
Available options:
system,
controlplane,
dataplane,
org,
workspace,
project
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time> | null
required